/* color_map.h
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef COLOR_MAP_H
#define COLOR_MAP_H

#include <gtk/gtk.h>
#include "colors.h"
extern int copy_colors_from_map (GdkColor * colors, int ncolors, char * name, 
				 GList * color_map_list);
extern void load_color_maps (GList ** color_map_list);
extern void load_color_maps_from_dir (GList ** color_map_list, char * dir);
extern void destroy_color_maps (GList ** color_map_list);
extern void append_map_to_list (GList ** color_map_list,
				char * path, char * file, map_type type);
extern gint color_map_compare (gpointer a, gpointer b);
extern gint color_map_find (gconstpointer list_data, gconstpointer name);

#endif /* COLOR_MAP_H */

