/* dialog_cb.c
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 * Callback functions for commonly used dialogs
 */

#include "dialog_cb.h"
#include "dialog_ui.h"
#include "config.h"
#include "util.h"
#include "constants.h"

extern path_info paths;

void
on_documentation (GtkWidget *w, GtkWindow * win)
{
    if (open_url (LSYSEXP_HELP))
    {
	char * s = g_strdup_printf("Couldn't find web browser to use!\n\nSee file:\n%s\nfor complete documentation", LSYSEXP_HELP);
	ok_dialog ("Error launching browser",
		   s, GTK_WINDOW(win));
	g_free (s);
    }
}



void
on_about (GtkWidget *w, GtkWindow * win)
{
    create_about_window (win);
}



void
on_about_url_clicked (GtkWidget * w, GtkWidget * dlg)
{
    if (open_url (paths.lsysexp_url))
    {
	char * s = g_strdup_printf("Couldn't find web browser to use to open:\n%s\n", paths.lsysexp_url);
	ok_dialog ("Error launching browser", s, GTK_WINDOW(dlg));
	g_free (s);
    }
}
