/* lsys.h
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef LSYS_H
#define LSYS_H

#include <gtk/gtk.h>
#include <stdio.h> 

#include "constants.h"

extern void load_lsystems ();
extern void load_user_lsystems();
extern int save_lsys (char *group_name, char *descrip, char *axiom,
		      char * rules, double a0, double da, double ds,
		      int level);
extern void add_lsys (char *group_name, char *descrip, char *axiom,
		      char *rules, double a0, double da, double ds, int level);
extern void destroy_lsystems (); 
extern int get_lsys_info (char * group_name, char * lsys,
			  char ** axiom, char ** rules, 
			  double * da, double * a0, int * level, double * ds);
extern int lsys_exists (char * group_name, char * descrip);
extern GList * get_group_names_list ();
extern GList * get_lsys_names_list (char * group_name);
extern int get_lsys_count (char * group_name);
extern GtkWidget * get_group_names_menu ();
extern GtkWidget * get_lsys_names_menu (char * group_name);
extern gint group_compare (gpointer a, gpointer b);
extern gint lsys_compare (gpointer a, gpointer b);
int save_user_options (opts * defaults);
extern void load_user_options (opts * defaults);

#endif /* LSYS_H */

