/* lsyswin_cb.h 
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef LSYSWIN_CB_H
#define LSYSWIN_CB_H

#include <gtk/gtk.h>
#include "lsyswin_ui.h"

/* Lsys window callbacks */
extern void on_lsys_win_destroy_event (GtkWidget *w, lsys_window * win);
extern gboolean on_lsys_win_delete_event(GtkWidget *w, GdkEvent *event, 
					 gpointer user_data);
extern void on_lsys_win_draw (GtkButton *button, lsys_window *win);
extern void on_lsys_win_draw_previous (GtkButton *button, lsys_window *win);
extern void on_lsys_win_draw_next (GtkButton *button, lsys_window *win);
extern gint on_lsys_win_drawing_expose (GtkWidget * widget,
					GdkEventExpose * event, 
					lsys_window * win);
extern void on_lsys_win_change_colors (GtkMenuItem * menu_item,
				       lsys_window *win);
extern void on_lsys_win_change_single_color (GtkMenuItem * menu_item,
					     lsys_window *win);
extern void on_lsys_win_change_colors_map (GtkMenuItem * menu_item,
					   lsys_window *win);
extern void on_lsys_win_change_modes (GtkMenuItem * menu_item,
				      lsys_window *win);
extern void on_lsys_win_change_background (GtkMenuItem *menu_item,
					   lsys_window *win);
extern void save_image (const char * file, lsys_window *win,
			GtkWidget *filesel);
extern void on_lsys_win_save_image (GtkMenuItem *menu_item, lsys_window *win);

#endif /* LSYSWIN_CB_H */

