/* mainwin_cb.h 
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef MAINWIN_CB_H
#define MAINWIN_CB_H

#include <gtk/gtk.h>
#include "mainwin_ui.h"

/* Main window callbacks */
extern void on_main_win_destroy_event (GtkWidget *w, main_window * win);
extern gboolean on_main_win_delete_event (GtkWidget *w, GdkEvent *event, 
					  gpointer user_data);
extern void on_main_win_display_clicked (GtkWidget *w, main_window * win);
extern void on_main_win_display_all_in_group_clicked (GtkWidget *w, main_window * win);
extern void on_main_win_option_group_changed (GtkWidget *w, main_window * win);
extern void on_main_win_option_lsys_changed (GtkWidget *w, main_window * win);
extern void on_main_win_options (GtkWidget *w, main_window *win);
extern void on_main_win_save_lsystem (GtkWidget *w, main_window * win);
extern void on_main_win_new_lsys_selected (char * group_name, char * lsys_name,
					   main_window * win);

/* Preferences dialog window callbacks */
extern void on_options_dlg_browse (GtkWidget * dialog, options_window * win);
extern gboolean on_options_dlg_change_bgcolor (GtkWidget * dialog,
					       GdkEventButton *event,
					       options_window *win);
extern gint on_option_dlg_bgcolor_expose (GtkWidget * widget,
					  GdkEventExpose * event, 
					  options_window * win);

/* Save L-system dialog window callbacks */
extern void on_save_lsys_win_response (GtkWidget * dialog, gint result,
				       save_lsys_window * save_win);

#endif /* MAINWIN_CB_H */

