/* mainwin_ui.h 
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef MAINWIN_UI_H
#define MAINWIN_UI_H

#include <gtk/gtk.h>
#include "constants.h"



/* Describes main window */
typedef struct
{
    GtkWidget *win;
    GtkWidget *menu_bar;
    GtkTooltips * tooltips;
    GtkAccelGroup *accel_group;

    /* option dropdown menus */
    GtkWidget *option_group, *option_lsys;

    /* text boxes */
    GtkWidget *axiom, *rules;

    /* buttons */
    GtkWidget *b_display;

    /* spin buttons */
    GtkWidget *s_a0, *s_da, *s_level, *s_ds, *s_width, *s_height;

    /* window icon list */
    GList * icons;

} main_window;



/* Describes Save L-system dialog window */
typedef struct
{
    GtkWidget *win;
    GtkWidget *combo_group;
    GtkWidget *entry_lsys;
    GtkWidget *b_save, *b_cancel;
    main_window *main_win;
} save_lsys_window;



/* Describes options (preferences) dialog window */
typedef struct
{
    main_window *main_win;
    GtkTooltips *tooltips;
    GtkWidget *dlg;
    GtkWidget *s_width, *s_height, *s_colors;
    GtkWidget *chk_center_windows;
    GtkWidget *entry_path;
    GtkWidget *browse;
    GtkWidget *bgcolor;
    GdkPixmap *pixmap;
    GdkGC *gc;
    struct _opts defaults;
} options_window;


extern main_window * create_main_window();
extern void create_main_window_menubar (main_window * win);
extern save_lsys_window * create_save_lsys_window(main_window * win);
extern options_window *create_options_dialog (main_window *win);

#endif /* MAINWIN_UI_H */

