/* util.h
 *
 * Copyright (C) 2002 Ron Coscorrosa
 *
 * This software is released under the terms of the GNU General Public License
 * (GNU GPL), see the file COPYING for details.
 *
 */

#ifndef UTIL_H
#define UTIL_H

#include <gtk/gtk.h>

#define ENDS_WITH(s, ext) ((((int)(g_strrstr(s,ext) - (int)s)) + strlen(ext)) == strlen(s))
#define RADIANS(x) ((((x) *  G_PI) / (180.0)))
#define Inf 100000000.0
#define countof(x) (sizeof((x))/sizeof(*(x)))
 
enum {CONNECT_NORMAL, CONNECT_SWAPPED};

extern GtkWidget* menu_from_list (GList * list);
extern void attach_callback_tooltip (GtkWidget * w, char * sig_name,
				     GtkSignalFunc func, gpointer data,
				     int type, GtkTooltips * tooltips,
				     char * tooltip);
extern GtkWidget* label_align_pad (char * text,
				   gfloat xalign, gfloat yalign,
				   gint xpad, gint ypad);
extern GtkWidget* button_new_from_stock (char * stock_item, char * b_label,
					 gboolean image_first);
extern GtkWidget* stock_image_label (char * stock_item, char * b_label,
				     GtkIconSize size, int spacing,
				     gboolean image_first);
extern void table_attach_label (GtkTable * table, char * lbl_text,
				int left, int right, int top, int bottom);
extern char* get_textview_text (GtkWidget * tv);
extern void set_textview_text (GtkWidget * tv, const char * text);
extern glong glib_time();
extern int open_url (const char * url);

#endif /* UTIL_H */

